Star = class({
  sprite = love.graphics.newImage("sprites/star.psd"),
  velocity = {x = 10, y = 0},
  depth = 100,
  init = function(self, depth)
    self.velocity = {x = 100 / depth, y = 0}
    self.scale = {x = 1 / depth, y = 1}
  end
}, {drawable, movable})

update_stream
  .map(function()
    for _, star in pairs(Star.instances.values()) do
      if star.x > love.window.getWidth() then
        star.x = 0
      end
    end
  end)
